* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  text-transform: capitalize;
  transition: var(--transition-3);
  border: none;
  outline: none;
}
:root {
  /**
     * COLORS
     */

  --gold-crayola: hsl(38, 61%, 73%);
  --quick-silver: hsla(0, 0%, 65%, 1);
  --davys-grey: hsla(30, 3%, 34%, 1);
  --smoky-black-1: hsla(40, 12%, 5%, 1);
  --smoky-black-2: hsla(30, 8%, 5%, 1);
  --smoky-black-3: hsla(0, 3%, 7%, 1);
  --eerie-black-1: hsla(210, 4%, 9%, 1);
  --eerie-black-2: hsla(210, 4%, 11%, 1);
  --eerie-black-3: hsla(180, 2%, 8%, 1);
  --eerie-black-4: hsla(0, 0%, 13%, 1);
  --white: hsla(0, 0%, 100%, 1);
  --white-alpha-20: hsla(0, 0%, 100%, 0.2);
  --white-alpha-10: hsla(0, 0%, 100%, 0.1);
  --black: hsla(0, 0%, 0%, 1);
  --black-alpha-80: hsla(0, 0%, 0%, 0.8);
  --black-alpha-15: hsla(0, 0%, 0%, 0.15);

  /* font-family */
  --fontFamily-forum: "Forum", cursive;
  --fontFamily-dm_sans: "DM Sans", sans-serif;

  /* loader colors */
  --loading-text-gradient: linear-gradient(
    90deg,
    transparent 0% 16.66%,
    var(--smoky-black-3) 33.33% 50%,
    transparent 66.66% 75%
  );
  --gradient-1: linear-gradient(
    to top,
    hsla(0, 0%, 0%, 0.9),
    hsla(0, 0%, 0%, 0.7),
    transparent
  );

  /* font-size */
  --fontSize-display-1: calc(1.3rem + 6.7vw);
  --fontSize-headline-1: calc(2rem + 2.5vw);
  --fontSize-headline-2: calc(1.3rem + 2.4vw);
  --fontSize-title-1: calc(1.6rem + 1.2vw);
  --fontSize-title-2: 2.2rem;
  --fontSize-title-3: 2.1rem;
  --fontSize-title-4: calc(1.6rem + 1.2vw);
  --fontSize-body-1: 2.4rem;
  --fontSize-body-2: 1.6rem;
  --fontSize-body-3: 1.8rem;
  --fontSize-body-4: 1.6rem;
  --fontSize-label-1: 1.4rem;
  --fontSize-label-2: 1.2rem;

  /* font-weight */
  --weight-regular: 400;
  --weight-bold: 700;

  /* line-height */
  --lineHeight-1: 1em;
  --lineHeight-2: 1.2em;
  --lineHeight-3: 1.5em;
  --lineHeight-4: 1.6em;
  --lineHeight-5: 1.85em;
  --lineHeight-6: 1.4em;

  /* letter-spacing */
  --letterSpacing-1: 0.15em;
  --letterSpacing-2: 0.4em;
  --letterSpacing-3: 0.2em;
  --letterSpacing-4: 0.3em;
  --letterSpacing-5: 3px;

  /**
   * SHADOW
   */

  --shadow-1: 0px 0px 25px 0px hsla(0, 0%, 0%, 0.25);

  /**
    * BORDER RADIUS
    */

  --radius-24: 24px;
  --radius-circle: 50%;

  --transition-1: 250ms ease;
  --transition-2: 500ms ease;
  --transition-3: 1000ms ease;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
  overflow-x: hidden;
}
::-webkit-scrollbar {
  width: 0.5rem;
}

::-webkit-scrollbar-track {
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  border-radius: 1rem;
  background-color: var(--gold-crayola);
}

/*================= general stylngs ========== */
body {
  background-color: var(--eerie-black-1);
  color: var(--white);
  font-family: var(--fontFamily-dm_sans);
}
a {
  text-decoration: none;
  color: var(--white);
  cursor: pointer;
  text-transform: uppercase;
}
button {
  cursor: pointer;
}
section {
  padding: 7rem 2%;
  overflow: hidden;
}
.separator {
  width: 1rem;
  height: 1rem;
  transform: rotate(45deg);
  border: 0.2rem solid var(--gold-crayola);
}
i {
  cursor: pointer;
}
.btn {
  text-transform: uppercase;
  display: block;
  position: relative;
  font-size: var(--fontSize-label-2);
  font-weight: var(--weight-bold);
  color: var(--gold-crayola);
  border: 0.2rem solid var(--gold-crayola);
  background-color: transparent;
  letter-spacing: var(--letterSpacing-5);
  padding: 2.5rem 3rem;
  text-align: center;
  width: fit-content;
  width: -moz-fit-content;
  overflow: hidden;
}
.btn::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 200%;
  height: 200%;
  border-radius: var(--radius-circle);
  background-color: var(--gold-crayola);
  transition: var(--transition-2);
  color: var(--black);
  z-index: -1;
}
.btn:is(:hover, :focus-visible) {
  color: var(--black);
  background-color: var(--gold-crayola);
}
.btn:is(:hover, :focus-visible)::before {
  bottom: -50%;
}
/*================= general stylngs ========== */

/* =========home and heaser section starts========== */
section.home {
  padding: 0;
}
.home .image-bg {
  width: 100%;
  height: 100vh;
  position: relative;
}
.home .image-bg img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  animation: inout 10s ease-in-out alternate infinite;
}
@keyframes inout {
  0% {
    transform: scale(1.5);
  }
  100% {
    transform: scale(2);
  }
}
.home .header-1 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  border-bottom: 0.1rem solid var(--quick-silver);
  padding: 2rem 2%;
}
.home .header-1 {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.home .header-1 .separator {
  margin: 0 1.5rem;
  margin-top: 0.2rem;
}
.home .header-1 .right-side,
.home .header-1 .left-side {
  display: flex;
  gap: 2rem;
}
.home .header-1 .times,
.home .header-1 .call,
.home .header-1 .email,
.home .header-1 .address {
  display: flex;
  gap: 1rem;
}
.home .header-1 .times i,
.home .header-1 .call i,
.home .header-1 .email i,
.home .header-1 .address i {
  font-size: var(--fontSize-label-1);
  font-weight: var(--weight-bold);
}
.home .header-1 .times p,
.home .header-1 .call p,
.home .header-1 .email p,
.home .header-1 .address p {
  font-size: var(--fontSize-label-1);
  font-weight: var(--weight-regular);
}
.home .header-2 {
  position: absolute;
  top: 12%;
  left: 0;
  padding: 0 2%;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.home .header-2.stick {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 7;
  background-color: var(--smoky-black-1);
  padding: 2rem 2%;
}
.home .header-2 .navigators {
  display: flex;
  margin-top: 1.5rem;
  gap: 2rem;
}
.home .header-2 .navigators .nav-items {
  display: flex;
  gap: 4rem;
}
.home .header-2 .navigators .nav-items.hide {
  display: none;
}
.home .header-2 .navigators .nav-items a {
  font-size: var(--fontSize-label-2);
  color: var(--white);
  font-weight: var(--weight-bold);
  letter-spacing: var(--letterSpacing-1);
  position: relative;
  transition: 0.5s ease-in;
}
.home .header-2 .navigators .nav-items a.active::before,
.home .header-2 .navigators .nav-items a:hover {
  color: var(--gold-crayola);
  transition: 0.5s ease-in;
}
.home .header-2 .navigators .nav-items a.active::before,
.home .header-2 .navigators .nav-items a:hover::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 3.5rem;
  margin: 0 auto;
  height: 0.4rem;
  border-radius: 2rem;
  transition: 0.5s ease-in;
  background-color: var(--gold-crayola);
}
.button {
  margin-top: -2.5rem;
}

/*=========== general button 1 styles ========= */
.btn-1 span {
  text-transform: uppercase;
  display: block;
  position: relative;
  font-size: var(--fontSize-label-2);
  font-weight: var(--weight-bold);
  color: var(--black);
  border: 0.2rem solid var(--gold-crayola);
  background-color: var(--gold-crayola);
  letter-spacing: var(--letterSpacing-5);
  padding: 2.2rem 4.5rem;
  z-index: 1;
  min-width: max-content;
  overflow: hidden;
}
.btn-1 span::before {
  min-width: max-content;
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 200%;
  height: 200%;
  border-radius: var(--radius-circle);
  background-color: var(--smoky-black-3);
  transition: var(--transition-2);
  color: var(--white);
  z-index: -1;
}
.btn-1 .text {
  transition: var(--transition-1);
}
.btn-1 span:is(:hover, :focus-visible) {
  color: var(--white);
}
.btn-1 span:is(:hover, :focus-visible)::before {
  bottom: -50%;
}
/*=========== general button 1 styles ========= */

/*=========== general button 2 styles ========= */
.btn-2 span {
  text-transform: uppercase;
  display: block;
  position: relative;
  font-size: var(--fontSize-label-2);
  font-weight: var(--weight-bold);
  color: var(--gold-crayola);
  border: 0.2rem solid var(--gold-crayola);
  background-color: transparent;
  letter-spacing: var(--letterSpacing-5);
  padding: 2.5rem 2rem;
  margin: 0 auto;
  margin-top: 2.5rem;
  width: 16%;
  z-index: 1;
  overflow: hidden;
}
.btn-2 span::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 200%;
  height: 200%;
  border-radius: var(--radius-circle);
  background-color: var(--gold-crayola);
  transition: var(--transition-2);
  color: var(--black);
  z-index: -1;
}
.btn-2 .text {
  transition: var(--transition-1);
}
.btn-2 span:is(:hover, :focus-visible) {
  color: var(--black);
}
.btn-2 span:is(:hover, :focus-visible)::before {
  bottom: -50%;
}
/*=========== general button 2 styles ========= */

.nav-open {
  display: none;
  margin-top: -0.5rem;
  cursor: pointer;
}
.nav-open .line {
  display: block;
  width: 4rem;
  height: 0.25rem;
  margin-block: 0.5rem;
  background-color: var(--white);
  transform-origin: left;
  animation: inOut 400ms ease-in-out alternate infinite;
  transition: var(--transition-1);
}
@keyframes inOut {
  0% {
    transform: scaleX(1);
  }
  100% {
    transform: scaleX(0.5);
  }
}
.nav-open .line2 {
  animation-delay: 150ms;
}
.nav-open .line3 {
  animation-delay: 300ms;
}
.responsive-navigators {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  padding: 2rem 2%;
  background-color: var(--smoky-black-1);
  z-index: 5;
  overflow: auto;
  transform-origin: left;
  transform: scaleX(0);
}
.responsive-navigators.show {
  transform: scaleX(1);
}
.responsive-navigators .close {
  position: absolute;
  right: 5%;
  top: 3%;
}
.responsive-navigators .close i {
  font-size: var(--fontSize-body-1);
  color: var(--eerie-black-1);
  padding: 1rem;
  clip-path: circle();
  transition: var(--transition-1);
  background-color: var(--gold-crayola);
}
.responsive-navigators .close i:hover {
  background-color: var(--white-alpha-20);
  color: var(--white);
}
.responsive-navigators .logo {
  text-align: center;
  margin-top: 5rem;
}
.responsive-navigators .nav-items {
  margin-top: 2rem;
}
.responsive-navigators .nav-items a.active,
.responsive-navigators .nav-items a {
  display: block;
  border-top: 0.1rem solid var(--white-alpha-20);
  padding: 2rem 0;
  color: var(--white);
  font-weight: var(--weight-bold);
  font-size: var(--fontSize-label-2);
  letter-spacing: var(--letterSpacing-1);
  position: relative;
  overflow: hidden;
  z-index: 1;
}
.responsive-navigators .nav-items a.active::before,
.responsive-navigators .nav-items a::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 200%;
  height: 200%;
  border-radius: var(--radius-circle);
  background-color: var(--gold-crayola);
  transition: var(--transition-2);
  color: var(--black);
  z-index: -1;
}
.responsive-navigators .nav-items a:is(:hover, :focus-visible) {
  padding-left: 1rem;
}
.responsive-navigators .nav-items a:is(:hover, :focus-visible)::before {
  bottom: -50%;
  padding-left: 1rem;
}
.responsive-navigators .nav-items :nth-child(5) {
  border-bottom: 0.1rem solid var(--quick-silver);
}
.responsive-navigators .address {
  margin-top: 5rem;
  text-align: center;
}
.responsive-navigators .separator {
  margin: 0 auto;
  width: 1rem;
  height: 1rem;
}
.responsive-navigators .address h3 {
  font-size: var(--fontSize-title-1);
  font-weight: var(--weight-bold);
  padding-bottom: 2rem;
  letter-spacing: var(--letterSpacing-1);
  font-family: var(--fontFamily-forum);
}
.responsive-navigators .address p {
  font-size: var(--fontSize-body-4);
  padding-bottom: 1rem;
  line-height: 3rem;
  font-weight: var(--weight-regular);
  color: var(--quick-silver);
}
.responsive-navigators .address a {
  font-size: var(--fontSize-body-4);
  text-transform: capitalize;
  padding-bottom: 1rem;
  text-transform: none;
  margin-bottom: 4rem;
  font-weight: var(--weight-regular);
  color: var(--quick-silver);
}
.responsive-navigators .address a:hover {
  color: var(--gold-crayola);
}

.responsive-navigators .address h4 {
  font-size: var(--fontSize-body-4);
  padding-bottom: 1rem;
  line-height: 3rem;
  font-weight: var(--weight-bold);
  color: var(--white);
}

.responsive-navigators .address p span {
  color: var(--gold-crayola);
  font-weight: var(--weight-bold);
  font-size: var(--fontSize-title-1);
}
/* =========home and heaser section ends========== */

/* ===========home contents section starts======== */
.home .home-content {
  position: absolute;
  top: 30%;
  left: 0;
  width: 100%;
  text-align: center;
}
.home .home-content .content h3,
.home .home-content .contents h3 {
  text-transform: uppercase;
  color: var(--gold-crayola);
  font-size: var(--fontSize-label-2);
  font-weight: var(--weight-bold);
  letter-spacing: var(--letterSpacing-2);
  padding-bottom: 4rem;
}
.home .home-content .content img,
.home .home-content .contents img {
  width: 10rem;
}
.home .home-content .content h1,
.home .home-content .contents h1 {
  padding-top: 4rem;
  width: 70%;
  line-height: var(--lineHeight-1);
  margin: 0 auto;
  font-size: var(--fontSize-display-1);
  font-family: var(--fontFamily-forum);
}
.home .home-content .contents p,
.home .home-content .content p {
  padding: 0 2%;
  padding-top: 2rem;
  flex-wrap: wrap;
  font-size: var(--fontSize-body-3);
}
.home .home-content .contents a {
  margin-top: 3rem;
}
.contents,
.invisible {
  opacity: 0;
  animation: fadeIn 4s ease-in-out alternate infinite;
  animation-iteration-count: 3;
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.delay-1 {
  transition-delay: 0.2;
}
.delay-2 {
  transition-delay: 0.4;
}
.delay-3 {
  transition-delay: 0.6;
}
.delay-4 {
  transition-delay: 0.8;
}
.delay-5 span {
  transition-delay: 1s;
  animation: fadeIn 4s ease-in-out alternate;
  animation-iteration-count: 3;
}
.book {
  position: absolute;
  bottom: 0;
  right: 0;
  margin: 2rem;
  margin-bottom: 4rem;
}
.book .rotate-bg {
  width: 100%;
  height: 100%;
  position: absolute;
  border: 0.2rem solid var(--gold-crayola);
  animation: rotate 30s ease infinite;
  animation-iteration-count: 1;
}
@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}
.book .rotate {
  width: 100%;
  height: 100%;
  position: absolute;
  border: 0.2rem solid var(--gold-crayola);
  animation: rotate 40s ease infinite alternate;
}
.book .rotate-image {
  background-color: var(--gold-crayola);
  padding: 1rem 3rem;
}
.book .rotate-image img {
  width: 6rem;
  height: 5rem;
}
.book .rotate-image p {
  text-align: center;
  font-size: var(--fontSize-label-1);
  font-weight: var(--weight-bold);
  color: var(--black);
  line-height: var(--lineHeight-1);
  padding-top: 0.5rem;
}
/* ===========home contents section ends========= */

/*============= flavour section starts=========== */
.flavour {
  width: 100%;
  height: 100%;
  position: relative;
  background-color: var(--smoky-black-2);
}
.flavours .flavour-desc {
  text-align: center;
}
.blog .blog-desc h3,
.choose .choose-desc h3,
.menu .menu-container .menu-desc h3,
.dish .box-container .description .content h3,
.about .box-container .description h3,
.flavours .flavour-desc h3 {
  font-size: var(--fontSize-label-2);
  text-transform: uppercase;
  font-weight: var(--weight-bold);
  color: var(--gold-crayola);
  letter-spacing: var(--letterSpacing-2);
  padding-bottom: 1.8rem;
}
.blog .blog-desc img,
.choose .choose-desc img,
.menu .menu-container .menu-desc img,
.dish .box-container .description .content img,
.about .box-container .description img,
.flavours .flavour-desc img {
  width: 10rem;
  padding-bottom: 2rem;
}
.blog .blog-desc h1,
.choose .choose-desc h1,
.menu .menu-container .menu-desc h1,
.dish .box-container .description .content h1,
.about .box-container .description h1,
.flavours .flavour-desc h1 {
  font-size: var(--fontSize-headline-1);
  font-weight: var(--weight-regular);
  font-family: var(--fontFamily-forum);
  padding-bottom: 2rem;
}
.dish .box-container .description .content p,
.about .box-container .description p,
.flavours .flavour-desc p {
  width: 40%;
  font-size: var(--fontSize-body-3);
  padding: 0 2rem;
  color: var(--white);
  text-transform: none;
  font-weight: var(--weight-regular);
  margin: 0 auto;
  line-height: var(--lineHeight-3);
}
.flavour .box-container {
  display: flex;
  margin-top: 2rem;
  flex-wrap: wrap;
  gap: 8rem;
  width: 100%;
  align-items: center;
  justify-content: center;
}
.flavour .box-container .box:nth-child(2) {
  margin-top: 12rem;
}
.flavour .box-container .box {
  position: relative;
  overflow: hidden;
}
.flavour .box-container .box .image img {
  width: 30rem;
  cursor: pointer;
  box-shadow: var(--shadow-1);
}
.flavour .box-container .box .image img:hover {
  transform: scale(1.1) rotate(-2deg);
  transition: var(--transition-2);
}
.flavour .box-container .box .image-text {
  margin-top: 5rem;
  text-align: center;
}
.flavour .box-container .box .image-text h3 {
  font-size: var(--fontSize-body-1);
  font-family: var(--fontFamily-forum);
  font-weight: var(--weight-regular);
  letter-spacing: var(--letterSpacing-1);
  padding-bottom: 1.5rem;
}
.flavour .box-container .box .image-text a {
  color: var(--gold-crayola);
  font-weight: var(--weight-bold);
  font-size: var(--fontSize-label-2);
  letter-spacing: var(--letterSpacing-1);
}
.flavour .box-container .box .image-text a:hover {
  letter-spacing: var(--letterSpacing-5);
}
.flavour-bg-1 {
  position: absolute;
  bottom: 0;
  right: 0;
}
.flavour-bg-2 {
  position: absolute;
  left: 0;
}
.flavour-bg-1 img,
.flavour-bg-2 img {
  z-index: -1;
  width: 40rem;
  animation: upIn 5s ease-in-out alternate infinite;
  transition: var(--transition-1);
}
@keyframes upIn {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.2);
  }
}
/* ============= flavour section ends===========  */

/*============= about section starts ============*/
section.about {
  padding-bottom: 17rem;
}
.about .box-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
}
.about .box-container .box {
  flex: 1 1 45rem;
}
.about .box-container .description {
  text-align: center;
  margin-top: 7rem;
}
.about .box-container .description p {
  width: 80%;
  padding-bottom: 3rem;
}
.about .box-container .description h5 {
  font-size: var(--fontSize-body-3);
  font-weight: var(--weight-bold);
  padding-bottom: 0.5rem;
  font-family: var(--fontFamily-forum);
}
.about .box-container .description h6 {
  font-size: var(--fontSize-body-1);
  color: var(--gold-crayola);
  font-weight: var(--weight-bold);
  padding-bottom: 2rem;
  font-family: var(--fontFamily-forum);
}
.about .box-container .images {
  position: relative;
  text-align: center;
  width: 100%;
  cursor: pointer;
}
.about .box-container .images .image-1 {
  position: relative;
}
.about .box-container .images .image-1 img {
  width: 100%;
}
.about .box-container .images .image-2 {
  position: absolute;
  top: -5%;
  right: -82%;
  width: 100%;
}
.about .box-container .images .image-qlty {
  position: absolute;
}
.about .box-container .images .image-qlty img {
  width: 12rem;
  animation: rotate 20s ease-in-out infinite;
}
.about .box-container .images .image-yr {
  position: absolute;
}
.about .box-container .images .image-yr img {
  width: 12rem;
}
.about .box-container .images .image-3 {
  position: absolute;
  bottom: -12%;
  left: -10%;
  animation: upDown 10s ease-in-out alternate infinite;
}
@keyframes upDown {
  0% {
    bottom: 0%;
  }
  100% {
    bottom: -11%;
  }
}
.about .box-container .images .image-3 img {
  position: relative;
  width: 28rem;
}

.about .box-container .images .image-3::before {
  content: "";
  position: absolute;
  top: -12%;
  left: 25%;
  width: 50%;
  height: 35rem;
  background: url("images/img-pattern.svg");
}
/*============= about section starts ============*/

/*============= dishes section starts ============= */
section.dish {
  padding: 0;
}
.dish {
  background-color: var(--smoky-black-2);
  width: 100%;
}
.dish .box-container {
  display: flex;
  flex-wrap: wrap-reverse;
  justify-content: space-between;
  gap: 8rem;
}
.dish .box-container .box {
  flex: 1 1 45rem;
  text-align: center;
}
.dish .box-container .image-bg img {
  cursor: pointer;
  width: 100%;
}
.dish .box-container .description {
  display: flex;
  gap: 2rem;
  padding-right: 12rem;
  margin-top: 10rem;
  text-align: left;
}
.dish .box-container .description .badge {
  animation: DownUp 10s ease infinite alternate;
}
@keyframes DownUp {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(3rem);
  }
  100% {
    transform: translateY(0);
  }
}
.dish .box-container .description .content p {
  width: 100%;
  padding: 0;
  padding-bottom: 2rem;
}
.dish .box-container .description .content h5 {
  font-size: var(--fontSize-label-1);
  color: var(--davys-grey);
  padding-bottom: 4rem;
}
.dish .box-container .description .content h5 span {
  font-size: var(--fontSize-body-1);
  padding-right: 1rem;
  color: var(--gold-crayola);
}
/*============= dishes section starts ============= */

/* ============ menu section starts =============== */
.menu .menu-container {
  position: relative;
  width: 100%;
}
.menu .menu-container .image-bg,
.menu .menu-container .image-bg-2 {
  animation: updown 6s ease-in-out alternate infinite;
}
@keyframes updown {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-4rem);
  }
  100% {
    transform: translateY(0);
  }
}
.menu .menu-container .image-bg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.menu .menu-container .image-bg-2 img,
.menu .menu-container .image-bg img {
  z-index: -1;
}
.menu .menu-container .image-bg-2 {
  position: absolute;
  bottom: -10%;
  right: 0;
  z-index: -1;
}
.menu .menu-container .menu-desc {
  text-align: center;
  padding-bottom: 3rem;
}
.menu .menu-container .box-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10rem;
  justify-content: space-between;
  padding: 0 5%;
}
.menu .menu-container .box-container .box {
  flex: 1 1 45rem;
  width: 100%;
  height: 100%;
  gap: 2rem;
  position: relative;
}
.menu .menu-container .box-container .box .separate::before {
  position: absolute;
  content: "";
  top: 0;
  right: -10%;
  width: 0.2rem;
  height: 95%;
  background-color: var(--quick-silver);
}
.menu .menu-container .box-container .box .menus {
  gap: 2rem;
  padding-bottom: 7rem;
  cursor: pointer;
  display: flex;
}
.menu .menu-container .box-container .box .menus .image {
  overflow: hidden;
}
.menu .menu-container .box-container .box .menus:hover .image img {
  transform: scale(1.1);
  filter: brightness(0.5);
}
.menu .menu-container .box-container .box .menus .menu-name {
  width: 80%;
}
.menu .menu-container .box-container .box .menus .menu-name .menu-info {
  display: flex;
  width: 100%;
  justify-content: space-between;
}
.menu .menu-container .box-container .box .menus .menu-name .menu-info .name {
  position: relative;
  padding-top: 1rem;
}
.menu .menu-container .box-container .box .menu-name h3 {
  letter-spacing: var(--letterSpacing-1);
  font-size: var(--fontSize-body-3);
  font-weight: var(--weight-regular);
  font-family: var(--fontFamily-forum);
  padding-bottom: 1rem;
}
.menu .menu-container .box-container .box .menu-name h3 span {
  text-transform: uppercase;
  background-color: var(--gold-crayola);
  padding: 0.2rem 0.5rem;
  color: var(--black);
  font-size: var(--fontSize-body-4);
  font-family: var(--fontFamily-forum);
}
.menu .menu-container .box-container .box .menu-name .price {
  padding: 0;
}
.menu .menu-container .box-container .box .menu-name .price h3 {
  padding-top: 1.2rem;
  font-size: var(--fontSize-body-3);
  color: var(--gold-crayola);
}
.menu .menu-container .box-container .box .menu-name p {
  text-transform: none;
  font-family: var(--fontFamily-dm_sans);
  font-weight: var(--weight-regular);
  font-size: var(--fontSize-body-4);
}
.menu .menu-container .time-btn {
  text-align: center;
  align-items: center;
  margin: 0 auto;
  margin-top: 3rem;
  width: 100%;
  z-index: 1;
}
.menu .menu-container .time-btn p {
  font-size: var(--fontSize-body-3);
  text-transform: none;
  padding-bottom: 2rem;
}
.menu .menu-container .time-btn p span {
  font-size: var(--fontSize-body-3);
  color: var(--gold-crayola);
  text-transform: none;
}
.menu .menu-container .time-btn a {
  margin: 0 auto;
}
.fadee {
  animation: enterSlow 10s ease-in-out alternate;
  transition: var(--transition-2);
}
@keyframes enterSlow {
  0% {
    transform: scale(0);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(0);
  }
}
/* ============ menu section ends =============== */

/*============ contact section starts ==============*/
section.contact {
  padding: 0;
}
.contact .contact-container {
  width: 100%;
  padding: 7rem 2%;
  position: relative;
  background: url("images/testimonial-bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding-bottom: 30rem;
}
section.reserve {
  padding: 0;
  width: 100%;
  height: 70vh;
}
.reserve .reserve-container {
  position: absolute;
  top: 80%;
  width: 100%;
}
.contact .contact-container .contact-text {
  text-align: center;
  width: 100%;
}
.contact .contact-container .contact-text i {
  font-size: var(--fontSize-headline-2);
  padding-bottom: 2rem;
}
.contact .contact-container .contact-text p {
  font-size: var(--fontSize-headline-2);
  line-height: var(--lineHeight-3);
  width: 70%;
  font-family: var(--fontFamily-forum);
  margin: 0 auto;
  padding-bottom: 5rem;
}
.contact .contact-container .contact-text .rollers {
  display: flex;
  gap: 1rem;
  margin: 0 auto;
  justify-content: center;
  padding-bottom: 5rem;
}
.contact .contact-container .contact-text .roll {
  width: 1.5rem;
  height: 1.5rem;
  border: 0.1rem solid var(--gold-crayola);
  animation: roll 30s ease infinite;
}
@keyframes roll {
  100% {
    transform: rotate(360deg);
  }
}
.contact .contact-container .contact-text img {
  clip-path: circle();
}
.contact .contact-container .contact-text h3 {
  font-size: var(--fontSize-title-2);
  font-weight: var(--weight-bold);
  text-transform: uppercase;
  color: var(--gold-crayola);
  font-family: var(--fontFamily-forum);
  padding-top: 1rem;
  letter-spacing: var(--letterSpacing-1);
}

.reserve .reserve-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  width: 100%;
  padding: 6%;
}
.reserve .reserve-container .reserves {
  flex: 1 1 45rem;
  width: 100%;
  padding: 6rem;
  background-color: var(--smoky-black-2);
  text-align: center;
}
.separator {
  margin: 0 auto;
}
.reserve .reserve-container .contact {
  flex: 1 1 25rem;
  width: 100%;
  text-align: center;
}
.reserve .reserve-container .reserve-desc h3 {
  font-size: var(--fontSize-headline-1);
  font-family: var(--fontFamily-forum);
  padding-bottom: 1rem;
  font-weight: var(--weight-regular);
}
.reserve .reserve-container .reserve-desc p {
  font-size: var(--fontSize-label-1);
  font-weight: var(--weight-regular);
  word-spacing: var(--letterSpacing-1);
}
.reserve .reserve-container .reserve-desc p span {
  color: var(--gold-crayola);
}
.reserve .reserve-container .reserve-desc p span {
  color: var(--gold-crayola);
}
.reserve .reserve-container .reserve-form {
  padding-top: 5rem;
  margin: 0 auto;
}
.reserve .reserve-container .reserve-form .names {
  display: flex;
  width: 100%;
  justify-content: center;
  gap: 2rem;
  padding-bottom: 2rem;
}
.reserve .reserve-container .reserve-form .names input {
  width: 100%;
  height: 6rem;
  font-size: var(--fontSize-label-1);
  text-align: left;
  padding-left: 1rem;
  color: var(--black);
  border: 0.1rem solid var(--quick-silver);
  color: var(--white);
  font-family: var(--fontFamily-dm_sans);
  background-color: var(--eerie-black-1);
}
::placeholder {
  color: var(--white);
  letter-spacing: var(--letterSpacing-1);
}
.reserve .reserve-container .reserve-form .persons {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding-bottom: 2rem;
  width: 100%;
  gap: 1.5rem;
  position: relative;
}
.select,
.day,
.select {
  width: 100%;
  flex: 1 1 15rem;
}
.reserve .reserve-container .reserve-form .persons input {
  padding-left: 3rem;
  width: 100%;
  height: 6rem;
  font-size: var(--fontSize-label-1);
  background-color: var(--eerie-black-1);
  border: 0.1rem solid var(--quick-silver);
  color: var(--white);
  color: var(--white);
  font-family: var(--fontFamily-dm_sans);
}
.reserve .reserve-container .reserve-form .persons select {
  width: 100%;
  height: 6rem;
  font-size: var(--fontSize-label-1);
  background-color: var(--eerie-black-1);
  border: 0.1rem solid var(--quick-silver);
  color: var(--white);
  padding-right: 5rem;
  padding-left: 3rem;
  color: var(--white);
  font-family: var(--fontFamily-dm_sans);
}
.reserve .reserve-container .reserve-form .persons input {
  text-transform: uppercase;
}
.reserve .reserve-container .reserve-form .persons i {
  font-size: var(--fontSize-label-1);
  position: absolute;
  top: 29%;
  margin-left: 1rem;
}
.reserve .reserve-container .reserve-form .text-area textarea {
  width: 100%;
  height: 20rem;
  font-size: var(--fontSize-label-1);
  background-color: var(--eerie-black-1);
  border: 0.1rem solid var(--quick-silver);
  color: var(--white);
  padding: 1rem;
  font-family: var(--fontFamily-dm_sans);
  margin-bottom: 2rem;
}
.reserve .reserve-container .reserve-form a {
  width: 100%;
}
.reserve .reserve-container .reserve-form .names input:focus,
.reserve .reserve-container .reserve-form .persons input:focus,
.reserve .reserve-container .reserve-form .persons select:focus,
.reserve .reserve-container .reserve-form .text-area textarea:focus {
  border: 0.1rem solid var(--gold-crayola);
}
.reserve .reserve-container .contact {
  background: url("images/form-pattern.png");
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  backdrop-filter: brightness(0.2);
  -webkit-backdrop-filter: brightness(0.2);
  padding: 6rem;
}
.reserve .reserve-container .contact .contact-text {
  width: 100%;
}
.reserve .reserve-container .contact .contact-text h1 {
  font-size: var(--fontSize-headline-1);
  font-family: var(--fontFamily-forum);
  font-weight: var(--weight-regular);
  padding-bottom: 2rem;
}
.reserve .reserve-container .contact .contact-text h3 {
  font-size: var(--fontSize-body-1);
  font-family: var(--fontFamily-forum);
  font-weight: var(--weight-bold);
  padding-bottom: 1rem;
  color: var(--gold-crayola);
}
.reserve .reserve-container .contact .contact-text .separator {
  margin: 0 auto;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-bottom: 4rem;
}
.reserve .reserve-container .contact .contact-text p {
  font-size: var(--fontSize-label-1);
  font-family: var(--fontFamily-dm_sans);
  font-weight: var(--weight-regular);
  padding-bottom: 4rem;
  line-height: var(--lineHeight-3);
}

/*============ contact section ends ==============*/

/* ===========features section starts============== */
.choose {
  width: 100%;
  text-align: center;
  background-color: var(--smoky-black-2);
}
.choose .chose-container {
  display: flex;
  flex-wrap: wrap;
  gap: 3rem;
  width: 100%;
  padding-top: 3rem;
}
.choose .chose-container .box {
  flex: 1 1 20rem;
  box-shadow: var(--shadow-1);
  padding: 3rem 1%;
  cursor: pointer;
}
.choose .chose-container .box:nth-child(odd) {
  background-color: var(--eerie-black-1);
}
.choose .chose-container .box h2 {
  font-size: var(--fontSize-body-1);
  font-family: var(--fontFamily-forum);
  font-weight: var(--weight-regular);
  padding-top: 1rem;
}
.choose .chose-container .box p {
  font-size: var(--fontSize-label-1);
  font-family: var(--fontFamily-dm_sans);
  padding-top: 1rem;
  padding-bottom: 3rem;
}
.choose .chose-container .box:hover img {
  transform: rotate(360deg);
}
/* ===========features section 
ends============== */

/*============ blog section starts ============*/
.blog {
  text-align: center;
}
.blog .blog-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 3rem;
  padding: 0 6rem;
  padding-top: 3rem;
}
.blog .blog-container .box {
  flex: 1 1 30rem;
  align-items: center;
  justify-content: center;
  box-shadow: var(--shadow-1);
  width: 100%;
  overflow: hidden;
}
.blog .blog-container .box .image {
  width: 100%;
  position: relative;
}
.blog .blog-container .box .image img {
  width: 100%;
  height: 80%;
  filter: brightness(0.8);
  cursor: pointer;
}
.blog .blog-container .box:hover .image img {
  transform: scale(1.2);
}
.blog .blog-container .box .blog-date {
  position: absolute;
  top: 5%;
  left: 5%;
}
.blog .blog-container .box .blog-date p {
  font-size: var(--fontSize-label-1);
  color: var(--gold-crayola);
  background-color: var(--eerie-black-1);
  padding: 0.5rem;
  letter-spacing: var(--letterSpacing-3);
}
.blog .blog-container .box .blog-text {
  position: absolute;
  bottom: 6%;
  margin: 0 auto;
  padding: 0.5rem;
}
.blog .blog-container .box .blog-text h3 {
  padding-bottom: 0.5rem;
  font-size: var(--fontSize-label-1);
  text-transform: uppercase;
  font-family: var(--fontFamily-dm_sans);
  letter-spacing: var(--letterSpacing-1);
  color: var(--gold-crayola);
}
.blog .blog-container .box .blog-text p {
  font-size: var(--fontSize-body-1);
  font-family: var(--fontFamily-forum);
  text-transform: none;
}
.blog .btns {
  margin-top: 3rem;
}
.blog .btns a {
  margin: 0 auto;
}
/*============ blog section starts ============*/

/* ========= footer section starts ========== */
section.footer {
  padding: 0;
  background: url(images/footer-bg.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  text-align: center;
  padding-bottom: 4rem;
}
.footer .footer-container {
  padding: 7rem 2%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 3rem;
  width: 100%;
}
.footer .footer-container .links {
  flex: 1 1 20rem;
}
.footer .footer-container .links a {
  display: block;
  font-size: var(--fontSize-label-1);
  font-family: var(--fontFamily-dm_sans);
  padding: 2rem 0;
  font-weight: var(--weight-bold);
}
.footer .footer-container .links a:hover {
  color: var(--gold-crayola);
}
.footer .footer-container .news {
  flex: 1 1 45rem;
  background: url(images/footer-form-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  backdrop-filter: brightness(0.2);
  -webkit-backdrop-filter: brightness(0.2);
  background-position: center;
  position: relative;
  width: 100%;
  padding: 8rem 2%;
}
.footer .footer-container .news::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 5%;
  height: 100%;
  background: url("images/img-pattern.svg");
}
.footer .footer-container .news::after {
  position: absolute;
  content: "";
  top: 0;
  right: 0;
  width: 5%;
  height: 100%;
  background: url("images/img-pattern.svg");
}
.footer .footer-container .news img {
  padding-bottom: 2rem;
}
.footer .footer-container .news .part-1 p {
  padding-top: 1rem;
  font-size: var(--fontSize-body-3);
  font-family: var(--fontFamily-dm_sans);
  color: var(--quick-silver);
}
.footer .footer-container .news .part-1 {
  padding-bottom: 3rem;
}
.footer .footer-container .news .part-2 {
  padding-top: 3rem;
}
.footer .footer-container .news .part-2 h2 {
  font-size: var(--fontSize-title-1);
  font-weight: var(--weight-regular);
  padding-bottom: 1rem;
  font-family: var(--fontFamily-forum);
}
.footer .footer-container .news .part-2 p {
  font-size: var(--fontSize-label-1);
  padding-bottom: 3rem;
  color: var(--quick-silver);
  font-family: var(--fontFamily-dm_sans);
}
.footer .footer-container .news .part-2 p span {
  color: var(--white);
}
.footer .footer-container .news .part-2 .news-letter {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 0 5%;
}
.footer .footer-container .news .part-2 .news-letter input {
  width: 60%;

  font-size: var(--fontSize-label-1);
  background-color: var(--eerie-black-1);
  border: 0.1rem solid var(--quick-silver);
  color: var(--white);
  padding-left: 1rem;
  color: var(--white);
  font-family: var(--fontFamily-dm_sans);
}
.footer .footer-container .news .part-2 .news-letter input:focus {
  border: 0.1rem solid var(--gold-crayola);
}
.footer .footer-container .news .part-2 .news-letter a span {
  width: 40%;
  height: fit-content;
}
.credit p {
  letter-spacing: var(--letterSpacing-1);
  font-size: var(--fontSize-body-3);
  font-weight: var(--weight-regular);
  font-family: var(--fontFamily-forum);
}
.credit p span {
  color: var(--gold-crayola);
}
/* ========= footer section starts ========== */

/* loader section */
.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--gold-crayola);
  z-index: 10;
  display: grid;
  place-content: center;
  justify-items: center;
  transition: var(--transition-2);
}
.loader-container {
  transition: var(--transition-1);
}
.loader-container.loaded {
  opacity: 0;
}
.loader-container.loaded {
  transition-delay: 250ms;
  transform: translateY(100%);
}
.circle {
  width: 112px;
  height: 112px;
  border-radius: var(--radius-circle);
  border: 3px solid var(--white);
  border-block-start-color: var(--smoky-black-3);
  margin-block-end: 45px;
  animation: rotate360 1s linear infinite;
}
@keyframes rotate360 {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(1turn);
  }
}
.loader-container p {
  background-image: var(--loading-text-gradient);
  background-size: 500%;
  font-size: calc(2rem + 3vw);
  font-weight: var(--weight-bold);
  line-height: 1em;
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing-3);
  padding-inline-start: 1rem;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-stroke: 0.5px var(--eerie-black-3);
  animation: loadingText linear 2s infinite;
}

@keyframes loadingText {
  0% {
    background-position: 100%;
  }
  100% {
    background-position: 0%;
  }
}
/* loader section */
